<!-- 搜索表单 -->
<template>
  <a-space>
    <a-button type="primary" class="ele-btn-icon" @click="add">
      <template #icon>
        <PlusOutlined />
      </template>
      <span>绑定设备</span>
    </a-button>
    <a-button
      danger
      type="primary"
      class="ele-btn-icon"
      :v-role="`dev`"
      @click="removeBatch"
      :disabled="props.selection.length === 0"
    >
      <template #icon>
        <DeleteOutlined />
      </template>
      <span>批量删除</span>
    </a-button>
    <!--    <a-input-search-->
    <!--      allow-clear-->
    <!--      v-model:value="searchText"-->
    <!--      placeholder="请输入搜索关键词"-->
    <!--      @search="search"-->
    <!--      @pressEnter="search"-->
    <!--    />-->
  </a-space>
</template>

<script lang="ts" setup>
  import {
    PlusOutlined,
    EditOutlined,
    DeleteOutlined
  } from '@ant-design/icons-vue';
  import useSearch from '@/utils/use-search';
  import type { EquipmentParam } from '@/api/apps/equipment/model';
  import { ref, watch } from 'vue';

  const emit = defineEmits<{
    (e: 'search', where?: EquipmentParam): void;
    (e: 'add'): void;
    (e: 'remove'): void;
  }>();

  const props = defineProps<{
    // 勾选的项目
    selection?: [];
  }>();

  // 表单数据
  const { where } = useSearch<EquipmentParam>({
    equipmentId: undefined,
    equipmentName: '',
    equipmentCode: '',
    merchantCode: ''
  });

  // 下来选项
  const type = ref('equipmentCode');
  // tabType
  // const listType = ref('all');
  // 搜索内容
  const searchText = ref('');

  /* 搜索 */
  const search = () => {
    where.equipmentName = undefined;
    where.equipmentCode = undefined;
    where.merchantCode = undefined;
    if (type.value == 'equipmentName') {
      where.equipmentName = searchText.value;
    }
    if (type.value == 'equipmentCode') {
      where.equipmentCode = searchText.value;
    }
    if (type.value == 'merchantCode') {
      where.merchantCode = searchText.value;
    }
    emit('search', where);
  };

  // 新增
  const add = () => {
    emit('add');
  };

  // 批量删除
  const removeBatch = () => {
    emit('remove');
  };

  /*  重置 */
  // const reset = () => {
  //   resetFields();
  //   search();
  // };

  // 监听字典id变化
  watch(
    () => props.selection,
    () => {}
  );
</script>
